weka.knowledgeflow.steps

## Class BaseSimpleDataVisualizer

- java.lang.Object
- - weka.knowledgeflow.steps.BaseStep
  - - weka.knowledgeflow.steps.BaseSimpleDataVisualizer

- All Implemented Interfaces:
    java.io.Serializable, BaseStepExtender, DataCollector, Step
  Direct Known Subclasses:
    AttributeSummarizer, CostBenefitAnalysis, GraphViewer, ScatterPlotMatrix

      public abstract class BaseSimpleDataVisualizer
      extends BaseStep
      implements DataCollector

  Abstract base class for simple data visualization steps that just collect data sets for visualization.
  Version:
    $Revision: $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseSimpleDataVisualizer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Data>` | `getDatasets()` Get the datasets seen so far
    `java.util.List<java.lang.String>` | `getIncomingConnectionTypes()` Get a list of incoming connection types that this step can accept at this time
    `java.util.List<java.lang.String>` | `getOutgoingConnectionTypes()` Get a list of outgoing connection types that this step can produce at this time.
    `void` | `processIncoming(Data data)` Process incoming data
    `void` | `restoreData(java.lang.Object data)` Set the data for this collector
    `java.lang.Object` | `retrieveData()` Get the data that this collector has collected
    `void` | `stepInit()` Initialize the step.

    - ### Methods inherited from class weka.knowledgeflow.steps.BaseStep

      `environmentSubstitute, getCustomEditorForStep, getDefaultSettings, getInteractiveViewers, getInteractiveViewersImpls, getName, getStepManager, globalInfo, isResourceIntensive, isStopRequested, outputStructureForConnectionType, setName, setStepIsResourceIntensive, setStepManager, setStepMustRunSingleThreaded, start, stepMustRunSingleThreaded, stop`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseSimpleDataVisualizer

          public BaseSimpleDataVisualizer()

  - ### Method Detail

    - #### stepInit

          public void stepInit()
                        throws WekaException

      Description copied from interface: `Step`
      Initialize the step.
      Specified by:
        `stepInit` in interface `BaseStepExtender`
      Specified by:
        `stepInit` in interface `Step`
      Throws:
        `WekaException` - if a problem occurs during initialization

    - #### processIncoming

          public void processIncoming(Data data)
                               throws WekaException

      Process incoming data
      Specified by:
        `processIncoming` in interface `BaseStepExtender`
      Specified by:
        `processIncoming` in interface `Step`
      Overrides:
        `processIncoming` in class `BaseStep`
      Parameters:
        `data` - the data to process
      Throws:
        `WekaException` - if a problem occurs

    - #### getIncomingConnectionTypes

          public java.util.List<java.lang.String> getIncomingConnectionTypes()

      Get a list of incoming connection types that this step can accept at this time
      Specified by:
        `getIncomingConnectionTypes` in interface `BaseStepExtender`
      Specified by:
        `getIncomingConnectionTypes` in interface `Step`
      Returns:
        a list of incoming connection types

    - #### getOutgoingConnectionTypes

          public java.util.List<java.lang.String> getOutgoingConnectionTypes()

      Get a list of outgoing connection types that this step can produce at this time. Subclasses to override (if necessary). This default implementation returns null (i.e. does not produce any outgoing data).
      Specified by:
        `getOutgoingConnectionTypes` in interface `BaseStepExtender`
      Specified by:
        `getOutgoingConnectionTypes` in interface `Step`
      Returns:
        a list of outgoing connection types that this step can produce

    - #### getDatasets

          public java.util.List<Data> getDatasets()

      Get the datasets seen so far
      Returns:
        a list of datasets

    - #### retrieveData

          public java.lang.Object retrieveData()

      Description copied from interface: `DataCollector`
      Get the data that this collector has collected
      Specified by:
        `retrieveData` in interface `DataCollector`
      Returns:
        the data collected by this collector

    - #### restoreData

          public void restoreData(java.lang.Object data)
                           throws WekaException

      Description copied from interface: `DataCollector`
      Set the data for this collector
      Specified by:
        `restoreData` in interface `DataCollector`
      Parameters:
        `data` - the data to set
      Throws:
        `WekaException` - if there is a problem restoring data